php-radius-legacy_1.2.5-2.3+deb7u1_all.deb


Advertisement

Description

php-radius-legacy - Radius protocol implementation in PHP

Distribution: Debian 7 (Wheezy)
Repository: Debian Main amd64
Package name: php-radius-legacy
Package version: 1.2.5
Package release: 2.3+deb7u1
Package architecture: all
Package type: deb
Installed size: 17 B
Download size: 8.52 KB
Official Mirror: ftp.br.debian.org
Implementation of the Radius protocol in PHP, so you can use it to authenticate against Radius servers in PHP scripts.

Alternatives

Provides

  • php-radius

Conflicts

  • php-radius << 1.2.5

Replaces

  • php-radius << 1.2.5

    Download

    Source package: php-radius

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install php-radius-legacy deb package:
      # sudo apt-get install php-radius-legacy

    Files

    • /usr/share/doc/php-radius-legacy/CONTACT
    • /usr/share/doc/php-radius-legacy/README
    • /usr/share/doc/php-radius-legacy/changelog.Debian.gz
    • /usr/share/doc/php-radius-legacy/changelog.gz
    • /usr/share/doc/php-radius-legacy/copyright
    • /usr/share/doc/php-radius-legacy/examples/check_login_pass.php
    • /usr/share/doc/php-radius-legacy/examples/radius.php
    • /usr/share/doc/php-radius-legacy/examples/server.conf
    • /usr/share/php-radius/radius_authentication.inc.php

    Changelog

    2013-07-25 - Thijs Kinkhorst <thijs@debian.org> php-radius (1.2.5-2.3+deb7u1) wheezy-security; urgency=high * Non-maintainer upload. * Fix security issue in radius_get_vendor_attr() (CVE-2013-2220, closes: #714362)

    2013-03-12 - Thijs Kinkhorst <thijs@debian.org> php-radius (1.2.5-2.3) unstable; urgency=high * Non-maintainer upload. * Initialise type parameter to radius_create_request() as long, to avoid segfaulting in zend_parse_parameters() (Closes: #702872).

    2012-04-28 - Mònica Ramírez Arceda <monica@debian.org> php-radius (1.2.5-2.2) unstable; urgency=low * Non-maintainer upload. * Update zoph to PHP 5.4: fix "Call-time pass-by-reference" error. Affected file is php-radius-1.2/radius_authentication.inc (Closes: #658956)

    2012-01-21 - Lior Kaplan <kaplan@debian.org> php-radius (1.2.5-2.1) unstable; urgency=low * Non-maintainer upload. * Fix build with PHP 5.4 (Closes: #656490) * Replace dependency of xlstproc with dh-make-php to generate the changelog

    2008-03-23 - Roberto Lumbreras <rover@debian.org> php-radius (1.2.5-2) unstable; urgency=low * Do not call clean-v4 target in clean (Closes: #472321).

    2008-03-17 - Roberto Lumbreras <rover@debian.org> php-radius (1.2.5-1) unstable; urgency=low * Merge with radius PECL module (Closes: #458438). * Rename php-radius binary package to php-radius-legacy.

    2007-04-17 - Roberto Lumbreras <rover@debian.org> php-radius (1.2-4) unstable; urgency=low * Depend on php5 instead of php4 (Closes: #418303). * debian/rules: switched to debhelper. * debian/control: lintian & linda clean. * Upgraded to standards 3.7.2 (no changes).

    2005-11-08 - Roberto Lumbreras <rover@debian.org> php-radius (1.2-3) unstable; urgency=low * Fixed NAS-IP-Port length in the radius packet (Closes: #338152). * Send $_SERVER['SERVER_PORT'] as the NAS-IP-Port, and $_SERVER['SERVER_ADDR'] instead of $SERVER_ADDR as the NAS-IP-Address. * Use SOL_UDP as protocol instead of 17. Increased socket_select timeout to 60 seconds to be sure that the answer is received. Look at the id of the answer and reject access if not the same as the request (this should be done in a better way)

    2005-11-04 - Roberto Lumbreras <rover@debian.org> php-radius (1.2-2) unstable; urgency=low * Depend on php4-cli instead of php4-cgi. (Closes: #337440) * Upgraded to standards 3.6.2 (no changes).

    2004-08-03 - Roberto Lumbreras <rover@debian.org> php-radius (1.2-1) unstable; urgency=low * New package. (closes: #239244) * Fixed select calls (socket_fd_* no longer exist). Added error checks to socket function calls. Use mt_rand instead of rand, it is faster and better. Added code so more than one config file can be used.

    Advertisement
    Advertisement